> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get all Dogecoin Dune token balances and holdings for a specific address with amounts and metadata.

# Dunes by Address



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /addresses/{address}/dunes
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /addresses/{address}/dunes:
    get:
      tags:
        - Addresses
      summary: Dunes by Address
      description: >-
        Returns a map of all Dunes and corresponding amounts in UTxOs controlled
        by

        the specified address or script pubkey.
      operationId: dunes_by_address
      parameters:
        - name: address
          in: path
          description: Dogecoin address or hex encoded script pubkey
          required: true
          schema:
            type: string
          example: DNG3G7pKc1DgciyWs36GFUnVyvJieDhKdb
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedDuneQuantities'
              example:
                data:
                  '5244114:7': '0.01000000'
                  '5244141:12': '2100000.00000000'
                  '5244142:13': '2100000.00000000'
                  '5244142:14': '2100000.00000000'
                  '5244144:12': '2100000.00000000'
                last_updated:
                  block_hash: >-
                    85bd0d5594a7cd024ee6b3f345ea2e8ca0725a96fe751f5487202064dbb64b1c
                  block_height: 5251959
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedDuneQuantities:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: object
          additionalProperties:
            type: string
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````